package io.github.js0ny.ilp_coursework.data.response;

import io.github.js0ny.ilp_coursework.data.common.LngLat;

import java.util.List;

public record DeliveryPathResponse(float totalCost, int totalMoves, DronePath[] dronePaths) {
    public record DronePath(int droneId, List<Delivery> deliveries) {
        public record Delivery(int deliveryId, List<LngLat> flightPath) {}
    }
}
